const unsigned int interval = 1000;
static const char unknown_str[] = "?";
#define MAXLEN 2048

/*
 * function            description                     argument (example)
 *
 * battery_perc        battery percentage              battery name (BAT0)
 *                                                     NULL on OpenBSD/FreeBSD
 * battery_remaining   battery remaining HH:MM         battery name (BAT0)
 *                                                     NULL on OpenBSD/FreeBSD
 * battery_state       battery charging state          battery name (BAT0)
 *                                                     NULL on OpenBSD/FreeBSD
 * cat                 read arbitrary file             path
 * cpu_freq            cpu frequency in MHz            NULL
 * cpu_perc            cpu usage in percent            NULL
 * datetime            date and time                   format string (%F %T)
 * disk_free           free disk space in GB           mountpoint path (/)
 * disk_perc           disk usage in percent           mountpoint path (/)
 * disk_total          total disk space in GB          mountpoint path (/)
 * disk_used           used disk space in GB           mountpoint path (/)
 * entropy             available entropy               NULL
 * gid                 GID of current user             NULL
 * hostname            hostname                        NULL
 * ipv4                IPv4 address                    interface name (eth0)
 * ipv6                IPv6 address                    interface name (eth0)
 * kernel_release      `uname -r`                      NULL
 * keyboard_indicators caps/num lock indicators        format string (c?n?)
 *                                                     see keyboard_indicators.c
 * keymap              layout (variant) of current     NULL
 *                     keymap
 * load_avg            load average                    NULL
 * netspeed_rx         receive network speed           interface name (wlan0)
 * netspeed_tx         transfer network speed          interface name (wlan0)
 * num_files           number of files in a directory  path
 *                                                     (/home/foo/Inbox/cur)
 * ram_free            free memory in GB               NULL
 * ram_perc            memory usage in percent         NULL
 * ram_total           total memory size in GB         NULL
 * ram_used            used memory in GB               NULL
 * run_command         custom shell command            command (echo foo)
 * swap_free           free swap in GB                 NULL
 * swap_perc           swap usage in percent           NULL
 * swap_total          total swap size in GB           NULL
 * swap_used           used swap in GB                 NULL
 * temp                temperature in degree celsius   sensor file
 *                                                     (/sys/class/thermal/...)
 *                                                     NULL on OpenBSD
 *                                                     thermal zone on FreeBSD
 *                                                     (tz0, tz1, etc.)
 * uid                 UID of current user             NULL
 * uptime              system uptime                   NULL
 * username            username of current user        NULL
 * vol_perc            OSS/ALSA volume in percent      mixer file (/dev/mixer)
 *                                                     NULL on OpenBSD/FreeBSD
 * wifi_essid          WiFi ESSID                      interface name (wlan0)
 * wifi_perc           WiFi signal in percent          interface name (wlan0)
 */

#define IFACE "enp4s0"
#define BAT ""

static const struct arg args[] = {
	/* function format          argument */
	// Network
	{ netspeed_rx,   " [ %sB/s]",           IFACE                                                                  },
	{ ipv4,    " ^c#fb4934^[ %s]",          IFACE                                                                 },

	// Battery
	//{ battery_perc,  " ^c#fe9019^[ %s%%",     BAT                                                               },
	//{ battery_state,    " %s",               BAT                                                               },
	//{ battery_remaining," %s]",              BAT
	// Brightness, Volume
	{ run_command,   " ^c#8ec07c^[ %s]",     "amixer sget Master | awk -F\"[][]\" '/%/ { print $2 }' | head -n1"    },

	// CPU & RAM Usage
	{ cpu_perc,      " ^c#b8bb26^[%s%%]",  NULL                                                                   },
	{ ram_used,      " ^c#d3869b^[ %s]", NULL                                                                   },
	{ disk_free,     " ^c#fe8019^[ %s]",   "/"                                                                    },

	// Date & time
	{ datetime,      " ^c#ebdbb2^[ %s]", "%H:%M:%S"                                                    }
};



/*
static const struct arg args[] = {
	{ netspeed_tx, "%s", IFACE},
	{ ipv4, " | %s", IFACE},
	{ ram_used, " | %s", NULL},
	{ cpu_perc, " | %s%%", NULL},
    { run_command, " | %s%%", "/bin/sh -c \"amixer get Master | tail -n1 | grep -Po '\\[\\K[^%]*' | head -n1\"" },
    { uptime, " | %s", NULL },
	{ datetime, " | %s", "%H:%M:%S |"},
};
*/

